using System;
using System.Collections.Generic;
using System.Text;

namespace VHDL2XML
{

    public enum EntityType
    {
        Entity, Instance, Signal
    }

   
    public class Connection
    {
        public Connection(EntityPort port)
        {
            Port = port;
        }

        string _RangeName = "";

        public string RangeName
        {
            get { return _RangeName; }
            set { _RangeName = value; }
        }

        EntityPort _Port;

        public EntityPort Port
        {
            get { return _Port; }
            set { _Port = value; }
        }

        List<PortReference> _To = new List<PortReference>();

        public List<PortReference> To
        {
            get { return _To; }
            set { _To = value; }
        }
    }
}
