﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace VerilogToXML
{
    public enum RegType { reg, integer, time, real, realtime };
    class Register
    {
        public Register(Module mod, RegType type, String regname) // kazdy reg musi byt v nejakom module a byt nejakeho typu
        {
            _module = mod;
            _type = type;
            _name = regname;
        }

        private RegType _type; // datovy typ registtra
        public RegType GetRegisterType()
        {
            return _type;
        }
        public void SetRegisterType(RegType value)
        {
            _type = value;
        }

        private String _name; // meno registra
        public String GetName()
        {
            return _name;
        }
        public void SetName(String value)
        {
            _name = value;
        }

        private Module _module;   // modul, v ktorom je tento register
        public Module GetModule()
        {
            return _module;
        }

        private int _up=0;
        private int _down=0;  // rozsah dat. typu register

        public void SetRange(int d, int u)
        {
            _up = u;
            _down = d;
        }
        public int GetRange()
        {
            return _up-_down;
        }

        private int _low=0;
        private int _high=0;  // rozsah adries typu register - array

        public void SetArrayRange(int l, int h)
        {
            _low = l;
            _high = h;
        }
        public int GetArrayRange()
        {
            return _high - _low;
        }

    }
}
